import request from '@/utils/request'

// 获取动态表头
export function getHeaderList(patentTypes,applicantTypes) {

  let params={};
  params.patentTypes=patentTypes;
  params.applicantTypes=applicantTypes;
  console.log('patentTypes:'+patentTypes+',applicantTypes:'+applicantTypes)
  return request({
    url: '/report/rzlApplicantRankingInfo/getHeader',
    method: 'get',
    params: params
  })
}
// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}


// 查询专利公开-申请人排名列表
export function listRzgApplicantRankingInfo(query) {
  return request({
    url: '/reportpub/rzgApplicantRankingInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利公开-申请人排名详细
export function getRzgApplicantRankingInfo(id) {
  return request({
    url: '/reportpub/rzgApplicantRankingInfo/' + id,
    method: 'get'
  })
}

// 新增专利公开-申请人排名
export function addRzgApplicantRankingInfo(data) {
  return request({
    url: '/reportpub/rzgApplicantRankingInfo',
    method: 'post',
    data: data
  })
}

// 修改专利公开-申请人排名
export function updateRzgApplicantRankingInfo(data) {
  return request({
    url: '/reportpub/rzgApplicantRankingInfo',
    method: 'put',
    data: data
  })
}

// 删除专利公开-申请人排名
export function delRzgApplicantRankingInfo(id) {
  return request({
    url: '/reportpub/rzgApplicantRankingInfo/' + id,
    method: 'delete'
  })
}
